FishOutFishOut

Revoke a connected OAuth app

DELETE/connections/{grantId}

Revoke an OAuth connection and its current authorization. API keys receive a browser continuation.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

grantId*string
Length1 <= length <= 200

Header Parameters

Idempotency-Key*string

Reuse for retries of the same action for 24 hours. A changed body returns 409.

Length8 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/connections/string" \  -H "Idempotency-Key: stringst"
{  "data": "string",  "meta": {    "requestId": "string",    "replayed": true  }}